<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/detail_ll_bottom"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_alignParentBottom="true"
    android:background="@color/transparent"
    android:orientation="vertical"
    android:visibility="gone"
    tools:visibility="visible">

    <RelativeLayout
        android:id="@+id/hintContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/transparent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:id="@+id/browser_install_hint_container"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="@drawable/bg_browser_install_hint"
            android:visibility="gone"
            tools:visibility="gone">

            <ImageView
                android:id="@+id/browser_install_hint_iv"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_centerVertical="true"
                android:layout_marginStart="8dp"
                android:layout_toEndOf="@id/browser_install_hint_close_iv"
                android:src="@drawable/ic_install_method_hint" />

            <TextView
                android:id="@+id/browser_install_hint_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="8dp"
                android:layout_toRightOf="@id/browser_install_hint_iv"
                android:textColor="@color/text_F9A755"
                android:textSize="10sp"
                app:lineHeight="12dp"
                tools:text="VIVO手机如何解决安装需要密码" />

            <ImageView
                android:id="@+id/browser_install_hint_arrow_iv"
                android:layout_width="8dp"
                android:layout_height="8dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="4dp"
                android:layout_toRightOf="@id/browser_install_hint_tv"
                android:src="@drawable/ic_install_method_arrow" />

            <ImageView
                android:id="@+id/browser_install_hint_close_iv"
                android:layout_width="8dp"
                android:layout_height="8dp"
                android:layout_alignParentStart="true"
                android:layout_centerVertical="true"
                android:layout_marginStart="8dp"
                android:src="@drawable/ic_install_method_close" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/install_hint_container"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="@drawable/bg_install_hint"
            android:visibility="gone"
            tools:visibility="gone">

            <ImageView
                android:id="@+id/install_hint_iv"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_centerVertical="true"
                android:layout_marginStart="8dp"
                android:layout_toEndOf="@id/install_hint_close_iv"
                android:src="@drawable/ic_install_hint" />

            <TextView
                android:id="@+id/install_hint_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="8dp"
                android:layout_toRightOf="@id/install_hint_iv"
                android:textColor="@color/text_07B896"
                android:textSize="10sp"
                app:lineHeight="12dp"
                tools:text="游戏已安全检测，可放心安装" />

            <ImageView
                android:id="@+id/install_hint_arrow_iv"
                android:layout_width="8dp"
                android:layout_height="8dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="4dp"
                android:layout_toRightOf="@id/install_hint_tv"
                android:src="@drawable/ic_install_arrow" />

            <ImageView
                android:id="@+id/install_hint_close_iv"
                android:layout_width="8dp"
                android:layout_height="8dp"
                android:layout_alignParentStart="true"
                android:layout_centerVertical="true"
                android:layout_marginStart="8dp"
                android:src="@drawable/ic_install_close" />

        </RelativeLayout>
    </RelativeLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/bottomContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ui_surface"
        android:paddingEnd="20dp"
        android:paddingBottom="10dp"
        app:layout_constraintTop_toBottomOf="@id/hintContainer">

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/iv_vmode"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:visibility="gone"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/iv_vmode_badge"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="-8dp"
            android:layout_marginBottom="-8dp"
            android:src="@drawable/ic_switch_game_smooth"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@id/iv_vmode"
            app:layout_constraintStart_toEndOf="@id/iv_vmode"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/tv_vmode"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingTop="4dp"
            android:text="畅玩 >"
            android:textColor="@color/text_secondary"
            android:textSize="10sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@+id/iv_vmode"
            app:layout_constraintStart_toStartOf="@+id/iv_vmode"
            app:layout_constraintTop_toBottomOf="@+id/iv_vmode"
            tools:visibility="visible" />

        <androidx.constraintlayout.widget.Group
            android:id="@+id/group_vmode"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="gone"
            app:constraint_referenced_ids="iv_vmode,tv_vmode,iv_vmode_badge"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/iv_concern"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:visibility="gone"
            app:layout_constraintStart_toEndOf="@id/iv_vmode"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_gamedetail_concern"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/tv_concern"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingTop="4dp"
            android:text="关注"
            android:textColor="@color/text_secondary"
            android:textSize="10sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@+id/iv_concern"
            app:layout_constraintStart_toStartOf="@+id/iv_concern"
            app:layout_constraintTop_toBottomOf="@+id/iv_concern"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/iv_reserve"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:visibility="gone"
            app:layout_constraintStart_toEndOf="@id/iv_concern"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_gamedetail_reserve"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/tv_reserve"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingTop="4dp"
            android:text="预约"
            android:textColor="@color/text_secondary"
            android:textSize="10sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@+id/iv_reserve"
            app:layout_constraintStart_toStartOf="@+id/iv_reserve"
            app:layout_constraintTop_toBottomOf="@+id/iv_reserve"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/iv_switch"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="20dp"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="10dp"
            android:visibility="gone"
            app:layout_constraintStart_toEndOf="@id/iv_reserve"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_gamedetail_switch_install"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/tv_switch"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingTop="4dp"
            android:text="安装方式"
            android:textColor="@color/text_secondary"
            android:textSize="10sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@+id/iv_switch"
            app:layout_constraintStart_toStartOf="@+id/iv_switch"
            app:layout_constraintTop_toBottomOf="@+id/iv_switch"
            tools:visibility="visible" />

        <com.gh.gamecenter.feature.view.DownloadButton
            android:id="@+id/localDownloadButton"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:alpha="0"
            app:layout_constraintBottom_toBottomOf="@id/localDownloadContainer"
            app:layout_constraintEnd_toEndOf="@id/localDownloadContainer"
            app:layout_constraintStart_toStartOf="@id/localDownloadContainer"
            app:layout_constraintTop_toTopOf="@id/localDownloadContainer" />

        <LinearLayout
            android:id="@+id/localDownloadContainer"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginStart="24dp"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/button_round_primary_light_al"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/detail_progressbar"
            app:layout_constraintHorizontal_weight="76"
            app:layout_constraintStart_toEndOf="@+id/iv_switch"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible">

            <TextView
                android:id="@+id/localDownloadTitleTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:text="@string/download_local"
                android:textColor="@color/text_theme"
                android:textSize="@dimen/primary_text_size"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/localDownloadSizeTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:alpha="0.6"
                android:includeFontPadding="false"
                android:textColor="@color/primary_theme"
                android:textSize="9sp"
                tools:text="9999MB" />
        </LinearLayout>

        <com.gh.gamecenter.feature.view.DownloadButton
            android:id="@+id/detail_progressbar"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginStart="8dp"
            android:layout_marginTop="10dp"
            app:download_button_show_progress="true"
            app:download_button_text_size="@dimen/primary_text_size"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/cl_speed_container"
            app:layout_constraintHorizontal_weight="76"
            app:layout_constraintStart_toEndOf="@+id/localDownloadContainer"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_goneMarginStart="24dp" />

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/downloadTipsLottie"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginTop="-8dp"
            android:layout_marginEnd="8dp"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="@+id/detail_progressbar"
            app:layout_constraintTop_toTopOf="@+id/detail_progressbar"
            app:lottie_autoPlay="false"
            app:lottie_loop="true"
            app:lottie_repeatMode="restart" />

        <LinearLayout
            android:id="@+id/overlayContainer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="@id/detail_progressbar"
            app:layout_constraintEnd_toEndOf="@id/detail_progressbar"
            app:layout_constraintStart_toStartOf="@id/detail_progressbar"
            app:layout_constraintTop_toTopOf="@id/detail_progressbar">

            <TextView
                android:id="@+id/overlayTv"
                android:layout_width="wrap_content"
                android:layout_height="40dp"
                android:drawablePadding="4dp"
                android:gravity="center"
                android:textColor="@color/text_aw_primary"
                android:textSize="@dimen/primary_text_size"
                android:visibility="gone"
                app:drawableStartCompat="@drawable/ic_smooth_game_button_hint"
                tools:text="开始畅玩"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/extraOverlayTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignEnd="@id/overlayTv"
                android:layout_marginStart="4dp"
                android:alpha="0.6"
                android:textColor="@color/text_aw_primary"
                android:textSize="@dimen/secondary_size"
                tools:text="999.9MB" />

        </LinearLayout>

        <TextView
            android:id="@+id/multiVersionDownloadTv"
            android:layout_width="wrap_content"
            android:layout_height="40dp"
            android:drawablePadding="4dp"
            android:ellipsize="end"
            android:gravity="center"
            android:paddingStart="8dp"
            android:paddingEnd="8dp"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="@dimen/primary_text_size"
            android:visibility="gone"
            app:drawableEndCompat="@drawable/ic_jump_universal"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/detail_progressbar"
            app:layout_constraintEnd_toEndOf="@id/detail_progressbar"
            app:layout_constraintStart_toStartOf="@id/detail_progressbar"
            app:layout_constraintTop_toTopOf="@id/detail_progressbar"
            tools:text="选择下载你的版本" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_speed_container"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginStart="8dp"
            android:layout_marginTop="10dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_weight="144"
            app:layout_constraintStart_toEndOf="@id/detail_progressbar"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_goneMarginStart="24dp"
            tools:visibility="visible">

            <View
                android:id="@+id/v_update"
                android:layout_width="76dp"
                android:layout_height="0dp"
                android:background="@drawable/bg_common_button_light_fill_blue"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/ll_update_container"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toTopOf="@id/tv_size"
                app:layout_constraintEnd_toEndOf="@id/v_update"
                app:layout_constraintStart_toStartOf="@id/v_update"
                app:layout_constraintTop_toTopOf="@id/v_update"
                app:layout_constraintVertical_chainStyle="packed">

                <ImageView
                    android:id="@+id/iv_update"
                    android:layout_width="14dp"
                    android:layout_height="14dp"
                    android:src="@drawable/ic_smooth_game_button_hint"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:tint="@color/text_theme" />

                <TextView
                    android:id="@+id/tv_update"
                    style="@style/TextBody2B"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="2dp"
                    android:includeFontPadding="false"
                    android:text="@string/update"
                    android:textColor="@color/text_theme"
                    app:layout_constraintBottom_toBottomOf="@id/iv_update"
                    app:layout_constraintStart_toEndOf="@id/iv_update"
                    app:layout_constraintTop_toTopOf="@id/iv_update"
                    app:layout_goneMarginStart="0dp" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <TextView
                android:id="@+id/tv_size"
                style="@style/TextAnnotation2"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="2dp"
                android:gravity="center"
                android:textColor="@color/primary_theme_60"
                app:layout_constraintBottom_toBottomOf="@id/v_update"
                app:layout_constraintEnd_toEndOf="@id/v_update"
                app:layout_constraintStart_toStartOf="@id/v_update"
                app:layout_constraintTop_toBottomOf="@id/ll_update_container"
                tools:text="9999MB" />

            <androidx.constraintlayout.widget.Group
                android:id="@+id/g_update"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:constraint_referenced_ids="v_update,ll_update_container,tv_size" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_speed"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="8dp"
                android:background="@drawable/bg_common_button_fill_gradient_blue"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/v_update"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_goneMarginStart="0dp"
                tools:visibility="gone">

                <View
                    android:id="@+id/v_more_zone"
                    android:layout_width="36dp"
                    android:layout_height="0dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/iv_more_zone"
                    android:layout_width="8dp"
                    android:layout_height="8dp"
                    android:layout_marginEnd="16dp"
                    app:layout_constraintBottom_toBottomOf="@id/v_more_zone"
                    app:layout_constraintEnd_toEndOf="@id/v_more_zone"
                    app:layout_constraintTop_toTopOf="@id/v_more_zone"
                    app:srcCompat="@drawable/ic_triangle_down"
                    app:tint="@color/text_aw_primary" />

                <View
                    android:id="@+id/v_divider"
                    android:layout_width="1dp"
                    android:layout_height="12dp"
                    android:background="@color/white_alpha_20"
                    app:layout_constraintBottom_toBottomOf="@id/v_more_zone"
                    app:layout_constraintEnd_toStartOf="@id/v_more_zone"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.constraintlayout.widget.Group
                    android:id="@+id/g_more_zone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:constraint_referenced_ids="v_divider,iv_more_zone,v_more_zone" />

                <View
                    android:id="@+id/v_guide_end"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_marginStart="4dp"
                    app:layout_constraintStart_toEndOf="@id/v_divider"
                    app:layout_constraintTop_toTopOf="@id/v_divider" />

                <View
                    android:id="@+id/v_speed_content"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@id/v_divider"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:paddingHorizontal="16dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@id/v_guide_end"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <ImageView
                        android:id="@+id/iv_speed"
                        android:layout_width="14dp"
                        android:layout_height="14dp"
                        app:srcCompat="@drawable/ic_basic_accelerator"
                        app:tint="@color/text_aw_primary" />

                    <TextView
                        android:id="@+id/tv_speed"
                        style="@style/TextBody2B"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="2dp"
                        android:ellipsize="end"
                        android:gravity="center"
                        android:maxLines="1"
                        android:text="@string/network_acceleration"
                        android:textColor="@color/text_aw_primary" />
                </LinearLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>

            <TextView
                android:id="@+id/tv_stop_speed"
                style="@style/TextBody2B"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@drawable/bg_common_button_light_fill_gray"
                android:gravity="center"
                android:maxLines="1"
                android:text="@string/stop_speed"
                android:textColor="@color/text_secondary"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/tv_enter_game"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_enter_game"
                style="@style/TextBody2B"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="8dp"
                android:background="@drawable/bg_common_button_light_fill_blue"
                android:gravity="center"
                android:maxLines="1"
                android:text="@string/enter_game"
                android:textColor="@color/text_theme"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintStart_toEndOf="@id/tv_stop_speed"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.constraintlayout.widget.Group
                android:id="@+id/g_accelerating"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="gone"
                app:constraint_referenced_ids="tv_stop_speed,tv_enter_game" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <ImageView
            android:id="@+id/iv_free_vip_tag"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="12dp"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@id/cl_speed_container"
            app:layout_constraintEnd_toEndOf="@id/cl_speed_container"
            app:layout_constraintTop_toTopOf="@id/cl_speed_container"
            app:srcCompat="@drawable/ic_free_vip_tag_detail" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>
